/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: TPM_OC_GB60.mcp
*
* Author : Laura Delgado
* Department : RTAC Americas
*
* Description : This example illustrates the use of the TPM module in THE MC9S08GB60 
*               microcontroller. This example makes use of the Device Initialization 
*               tool for the Timer module set up. 
*               
*               For this example, the TPM (Timer/PWM) module is configured
*               to comply with the following requirements:
*                       + Timer configured as output compare, to toggle the 
*                           output (PTD1_TPM1) when counter reaches compare value 
*                           0X0000 (at the same time as overflow).
*                           
*                       + Counter frequency at 1.9 Hz (bus clock selected as
*                           clock source, prescale value of 32, modulo counter 
*                           at 0xFFFF)
*                           
*                       + The selected channel output pin is PTD1/TPMCH1 and
*                           has no pull resistor.
*                       
*                       + The channel interrupt is enabled 
*                           to toggle a LED when their corresponding ISR 
*                           is serviced.
*                       
*                       +  PTF2 is initialized as output to control
*                            the LED                        
*                                                       
*               The initialization of the module is the Device Initialization tool 
*               automatically generated MCUinit.c code, which was included in this 
*               project.
*
*               This example was explicitly made for the MC9S08GB60 microcontroller 
*               migrating may need some changes in the code.
*           
*               (Refer to AN3136 for more information about Device Initialization)
*
* History :   
* 10/22/2005  : Release (r12370c)
*/


#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

void main(void) {

    MCU_init();
    
    for(;;) {
  
    } 
}
