/*
** ###################################################################
**     THIS MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Project   : Interrupts_QG9
**     Processor : MC9S08QG8CPB
**     Version   : Bean 01.216, Driver 01.00, CPU db: 2.87.068
**     Datasheet : MC9S08QG8 Rev. 0.09 09/9/2005
**     Date/Time : 10/17/2005, 6:44 PM
**     Abstract  :
**         This module contains device initialization code 
**         for selected on-chip peripherals.
**     Contents  :
**         Function "MCU_init" initializes selected peripherals
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2005
**     UNIS, spol s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################
*/

#include <MC9S08QG8.h>                 /* I/O map */


/*
** ===================================================================
**     Method      :  MCU_init (bean MC9S08QG8_16)
**
**     Description :
**         Device initialization code for selected peripherals.
** ===================================================================
*/
void MCU_init(void)
{
  /* ### MC9S08QG8_16 "Cpu" init code ... */
  /*  PE initialization code after reset */
  /*  System clock initialization */
  SOPT1 = 0x52;                                      
  SPMSC1 = 0x1C;                                      
  SPMSC2 = 0x00;                                      
  SPMSC3 &= (unsigned char)~0x30;                              
  ICSC1 = 0x04;                                      
  ICSC2 = 0x40;                                      
  /* Common initialization of the write once registers */
  SOPT2 = 0x00;                                      

  /* Common initialization of the CPU registers */
  PTASE |= (unsigned char)0x3F;                               
  PTBSE = 0xFF;                                      
  PTADS = 0x00;                                      
  PTBDS = 0x00;                                      
  /* ### Init_TPM init code */
  TPMMOD = 0x7FFF;                                      
  TPMC0V = 0x0FFF;                                      
  TPMC0SC = 0x50;                                      

  TPMSC = 0x4D;                                      
  /* ### Init_GPIO init code */
  PTBPE &= (unsigned char)~0xC0;                              
  PTBDD |= (unsigned char)0xC0;                               
  /* ### Init_COP init code */
  SRS = 0xFF;                                      

  /* ### */
  asm CLI;                             /* Enable interrupts */
} /*MCU_init*/


/*
** ===================================================================
**     Interrupt handler : Vtpmovf_isr
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void Vtpmovf_isr(void)
{
    //TPMSC_TOF;        //  The timer overflow interrupt flag is acknowledged by 
    TPMSC_TOF = 0;    //  first reading it and then writing a zero to the bit. 
    
    PTBD_PTBD7 = ~PTBD_PTBD7;
}
/* end of Vtpmovf_isr */


/*
** ===================================================================
**     Interrupt handler : Vtpmch0_isr
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void Vtpmch0_isr(void)
{
    //TPMC0SC_CH0F;        //  The channel interrupt flag is acknowledged by first
    TPMC0SC_CH0F = 0;    //  reading it and then writing a zero to the bit. 
    
    PTBD_PTBD6 = ~PTBD_PTBD6;

}
/* end of Vtpmch0_isr */



/* Initialization of the CPU registers in FLASH */

const volatile NVPROTSTR _NVPROT @0x0000FFBD = { 0xFF };

const volatile NVOPTSTR _NVOPT @0x0000FFBF = { 0x7E };



extern void _Startup(void);

/* Interrupt vector table */
#define UNASSIGNED_ISR 0xFFFF          /* unassigned interrupt service routine */

void (* const _vect[])() @0xFFD0 = {   /* Interrupt vector table */
         UNASSIGNED_ISR,               /* Int.no.  0 Vrti (at FFD0)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  1 Reserved2 (at FFD2)             Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  2 Reserved3 (at FFD4)             Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  3 Vacmp (at FFD6)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  4 Vadc (at FFD8)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  5 Vkeyboard (at FFDA)             Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  6 Viic (at FFDC)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  7 Vscitx (at FFDE)                Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  8 Vscirx (at FFE0)                Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  9 Vscierr (at FFE2)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 10 Vspi (at FFE4)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 11 Vmtim (at FFE6)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 12 Reserved13 (at FFE8)            Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 13 Reserved14 (at FFEA)            Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 14 Reserved15 (at FFEC)            Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 15 Reserved16 (at FFEE)            Unassigned */
         Vtpmovf_isr,                  /* Int.no. 16 Vtpmovf (at FFF0)               Used */
         UNASSIGNED_ISR,               /* Int.no. 17 Vtpmch1 (at FFF2)               Unassigned */
         Vtpmch0_isr,                  /* Int.no. 18 Vtpmch0 (at FFF4)               Used */
         UNASSIGNED_ISR,               /* Int.no. 19 Reserved20 (at FFF6)            Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 20 Vlvd (at FFF8)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 21 Virq (at FFFA)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 22 Vswi (at FFFC)                  Unassigned */
         _Startup                      /* Int.no. 23 Vreset (at FFFE)                Reset vector */
 };




/* END */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.97 BETA [03.71]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
